aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/T020-compact.sh
diff options
context:
space:
mode:
authorGravatar Jani Nikula <jani@nikula.org>2014-03-12 19:26:04 +0200
committerGravatar David Bremner <david@tethera.net>2014-03-25 18:51:06 -0300
commitd647a1917361aaf39d19a2c32df16e8490082a0e (patch)
tree09cd418ae406639f797eac8fd1ecf4cd50db105d /test/T020-compact.sh
parent57b4ef6f30d41cd14aa570b329841fc2082260ff (diff)
test: conditionally test compact depending on configured support
I still have one machine with old enough Xapian to not have compaction support. Make the tests check for unsupported compact operation when compact is not available.
Diffstat (limited to 'test/T020-compact.sh')
-rwxr-xr-xtest/T020-compact.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/T020-compact.sh b/test/T020-compact.sh
index ac174cec..77bb9632 100755
--- a/test/T020-compact.sh
+++ b/test/T020-compact.sh
@@ -10,6 +10,17 @@ notmuch tag +tag1 \*
notmuch tag +tag2 subject:Two
notmuch tag -tag1 +tag3 subject:Three
+if ! ${TEST_DIRECTORY}/have-compact; then
+ test_begin_subtest "Compact unsupported: error message"
+ output=$(notmuch compact --quiet 2>&1)
+ test_expect_equal "$output" "notmuch was compiled against a xapian version lacking compaction support.
+Compaction failed: Unsupported operation"
+
+ test_expect_code 1 "Compact unsupported: status code" "notmuch compact"
+
+ test_done
+fi
+
test_expect_success "Running compact" "notmuch compact --backup=${TEST_DIRECTORY}/xapian.old"
test_begin_subtest "Compact preserves database"